Subject: RE: bug in cp: Permission denied
From: [email-masked] (John Wiersba)

7 Nov 1998 13:31:50 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: "'Larry Hall'" <[email-masked]>,
        "[email-masked]'"
	 <[email-masked]>

Now, I'm even more confused about cp.exe (see output below).  Can anyone
explain what's going on?

Second question: how do I tell what service pack I'm using?  The System
Properties shows 4.00.1381 and uname -a shows "CYGWIN32_NT machinename
4.0 19.3 i686 unknown"

/usr/junk> umask
002
/usr/junk> ls -l
total 0
/usr/junk> touch 10101010 a1 a2
/usr/junk> chmod 444 a2
/usr/junk> /bin/cp a1 b1
/usr/junk> /bin/cp a2 b2
/usr/junk> /bin/cp -p a1 c1
/bin/cp: c1: Permission denied                             <== can't set
file access mode?
/usr/junk> /bin/cp -p a2 c2
/bin/cp: c2: Permission denied                             <== can't set
file access mode?
/usr/junk> ls -l
total 0
-rw-r--r--   1 jrw      jrwg            0 Oct 10 10:10 a1
-r--r--r--   1 jrw      jrwg            0 Oct 10 10:10 a2
-rw-r--r--   1 jrw      jrwg            0 Nov  5 16:05 b1  <== ok
-r--r--r--   1 jrw      jrwg            0 Nov  5 16:05 b2  <== shouldn't
this be 644 mode?
-rw-r--r--   1 jrw      jrwg            0 Oct 10 10:10 c1  <== this is
ok, so why the complaint?
-rw-r--r--   1 jrw      jrwg            0 Oct 10 10:10 c2  <== this
should be 444 mode!

John Wiersba ([email-masked])

-----Original Message-----
From: Larry Hall [mailto:[email-masked]]
Sent: Thursday, November 05, 1998 3:51 PM
To: John Wiersba; [email-masked]'
Subject: RE: bug in cp: Permission denied

I get this with NT 4+SP4 and b19:

HOME_lhall->touch 10101010 asdf
HOME_lhall->chmod 444 asdf
HOME_lhall->cp asdf fdsa1
HOME_lhall->cp -p asdf fdsa2
HOME_lhall->ls -lrt
total 0
-r--r--r--   1 544      None            0 Oct 10 10:10 asdf
-r--r--r--   1 lhall    None            0 Oct 10 10:10 fdsa2
-r--r--r--   1 544      None            0 Nov  5 15:46 fdsa1
HOME_lhall->

The only difference is touch seems to use the "default" group I'm in
(Administrators) rather than my user id like yours does.  This seems
to point to a permissions problem (although I'm not sure I understand
the behavior of touch either).

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02482-7797               http://www.rfk.com

At 11:11 AM 11/4/98 -0500, John Wiersba wrote:
>Can anyone reproduce this on a WinNT4 machine under b19 (or maybe under
>b20)?
>
>$ touch 10101010 asdf
>$ chmod 444 asdf
>$ cp asdf fdsa1
>$ cp -p asdf fdsa2
>cp: fdsa2: Permission denied
>$ ls -l
>total 0
>-r--r--r--   1 jrw      jrwg            0 Oct 10 10:10 asdf
>-r--r--r--   1 jrw      jrwg            0 Nov  4 09:57 fdsa1
>-rw-r--r--   1 jrw      jrwg            0 Oct 10 10:10 fdsa2
>
>Note that the -p option correctly copies the timestamp, but that the
>file access mode is NOT
>copied (I assume that's why there's an error message).  
>
>Why can't the file access mode be copied?
>
>I'm running b19 with coolview under WinNT, I don't know which service
>pack, but the System Properties shows 4.00.1381.
>
>-----Original Message-----
>From: John Wiersba [mailto:[email-masked]]
>Sent: Monday, November 02, 1998 11:25 AM
>To: [email-masked]'
>Subject: bug in cp: Permission denied
>
>
>What's up with this?
>
>touch a
>cp -p a b
>cp: b: Permission denied
>
>The copy actually works, and the timestamp is copied, but not the
>permissions. 
>
>I'm running b19 with coolview on NT with everything binary-mounted.
>
>John Wiersba ([email-masked])
>-
>For help on using this list (especially unsubscribing), send a message
>to
>"[email-masked]" with one line of text: "help".
>-
>For help on using this list (especially unsubscribing), send a message
to
>"[email-masked]" with one line of text: "help".
>
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".